package HTMLIO::Types;

# Copyright (c) 2000, FundsXpress Financial Network, Inc.
# This library is free software released under the GNU Lesser General
# Public License, Version 2.1.  Please read the important licensing and
# disclaimer information included below.

# $Id: Types.pm,v 1.1 2000/11/23 23:36:17 muaddib Exp $

use strict;

=head1

This file is simply meant as a convieniance for users who want to use
all of the HTML I/O encapsulators.

=cut

use HTMLIO;
use Exporter;
@HTMLIO::Types::ISA = qw(Exporter);

use vars qw(@EXPORT
	    @HTMLIO_SIMPLE_TYPES 
	    @HTMLIO_GROUP_TYPES
	    @HTMLIO_TYPES);

@HTMLIO_SIMPLE_TYPES =
  qw(Text
     TextArea
     Password
     File
     Radio
     CheckBox);

@HTMLIO_GROUP_TYPES = 
  qw(RadioGroup
     CheckBoxGroup
     Select);

@HTMLIO_TYPES = (@HTMLIO_SIMPLE_TYPES,@HTMLIO_GROUP_TYPES);

@EXPORT = qw(@HTMLIO_SIMPLE_TYPES 
	     @HTMLIO_GROUP_TYPES
	     @HTMLIO_TYPES);

for my $type (@HTMLIO_TYPES) {
  eval "require HTMLIO::".$type;
}

1;
__END__

=head1 BUGS

No known bugs, but this does not mean no bugs exist.

=head1 SEE ALSO

L<AtomicData>, L<HTMLIO>, L<Field>.

=head1 COPYRIGHT

 PSP - Perl Server Pages
 Copyright (c) 2000, FundsXpress Financial Network, Inc.

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2 of the License, or (at your option) any later version.

 BECAUSE THIS LIBRARY IS LICENSED FREE OF CHARGE, THIS LIBRARY IS
 BEING PROVIDED "AS IS WITH ALL FAULTS," WITHOUT ANY WARRANTIES
 OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING, WITHOUT
 LIMITATION, ANY IMPLIED WARRANTIES OF TITLE, NONINFRINGEMENT,
 MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE, AND THE
 ENTIRE RISK AS TO SATISFACTORY QUALITY, PERFORMANCE, ACCURACY,
 AND EFFORT IS WITH THE YOU.  See the GNU Lesser General Public
 License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307  USA

=cut
