use strict qw(vars);
use Data::Dumper;

# it is always necessary to declare these here for some reason..
use vars qw(%pf_box);

sub setup {
  %pf_box = ();
}

# here we declare our data.  we'll define it below.
use vars qw(@animals @common_sorted_animals);

@animals =
  ({common => 'cougar', 
    species => 'Puma concolor', family => 'FELIDAE'},
   {common => 'panther', 
    species => 'Panthera pardus', family => 'FELIDAE'},
   {common => 'snowy owl', 
    species => 'Nyctea scandiaca', family => 'STRIGIDAE'},
   {common => 'tiger', 
    species => 'Panthera tigris', family => 'FELIDAE'},
   {common => 'lion', 
    species => 'Panthera leo', family => 'FELIDAE'},
   {common => 'grizzly bear', 
    species => 'Ursus arctos', family => 'URSIDAE'},
   {common => 'spotted hyena', 
    species => 'Crocuta crocuta', family => 'HYAENIDAE'},
   {common => 'great white shark', 
    species => 'Carcharodon carcharias', family => 'LAMNIDAE'},
   {common => 'black python', 
    species => 'Morelia boeleni', family => 'PYTHONIDAE'},
   {common => 'king cobra', 
    species => 'Ophiophagus hannah', family => 'ELAPIDAE'},
   {common => 'wolverine', 
    species => 'Gulo gulo', family => 'MUSTELIDAE'},
   {common => 'killer whale', 
    species => 'Orcinus orca', family => 'DELPHINIDAE'},
   {common => 'bobcat', 
    species => 'Lynx rufus', family => 'FELIDAE'},
   {common => 'lynx', 
    species => 'Lynx lynx', family => 'FELIDAE'},
   {common => 'cheetah', 
    species => 'Acinonyx jubatus', family => 'FELIDAE'},
   {common => 'atlantic coral snake', 
    species => 'Micrurus diastema', family => 'ELAPIDAE'},
   {common => 'panda', 
    species => 'Ailuropoda melanoleuca', family => 'URSIDAE'},
   {common => 'jaguar', 
    species => 'Panthera onca', family => 'FELIDAE'});

my @big_animals =
  ({common => 'cougar', 
    species => 'Puma concolor', family => 'FELIDAE'},
   {common => 'panther', 
    species => 'Panthera pardus', family => 'FELIDAE'},
   {common => 'snowy owl', 
    species => 'Nyctea scandiaca', family => 'STRIGIDAE'},
   {common => 'tiger', 
    species => 'Panthera tigris', family => 'FELIDAE'},
   {common => 'lion', 
    species => 'Panthera leo', family => 'FELIDAE'},
   {common => 'grizzly bear', 
    species => 'Ursus arctos', family => 'URSIDAE'},
   {common => 'spotted hyena', 
    species => 'Crocuta crocuta', family => 'HYAENIDAE'},
   {common => 'great white shark', 
    species => 'Carcharodon carcharias', family => 'LAMNIDAE'},
   {common => 'black python', 
    species => 'Morelia boeleni', family => 'PYTHONIDAE'},
   {common => 'king cobra', 
    species => 'Ophiophagus hannah', family => 'ELAPIDAE'},
   {common => 'wolverine', 
    species => 'Gulo gulo', family => 'MUSTELIDAE'},
   {common => 'killer whale', 
    species => 'Orcinus orca', family => 'DELPHINIDAE'},
   {common => 'bobcat', 
    species => 'Lynx rufus', family => 'FELIDAE'},
   {common => 'lynx', 
    species => 'Lynx lynx', family => 'FELIDAE'},
   {common => 'cheetah', 
    species => 'Acinonyx jubatus', family => 'FELIDAE'},
   {common => 'atlantic coral snake', 
    species => 'Micrurus diastema', family => 'ELAPIDAE'},
   {common => 'panda', 
    species => 'Ailuropoda melanoleuca', family => 'URSIDAE'},
   {common => 'jaguar', 
    species => 'Panthera onca', family => 'FELIDAE'},
   {common => 'cougar', 
    species => 'Puma concolor', family => 'FELIDAE'},
   {common => 'panther', 
    species => 'Panthera pardus', family => 'FELIDAE'},
   {common => 'snowy owl', 
    species => 'Nyctea scandiaca', family => 'STRIGIDAE'},
   {common => 'tiger', 
    species => 'Panthera tigris', family => 'FELIDAE'},
   {common => 'lion', 
    species => 'Panthera leo', family => 'FELIDAE'},
   {common => 'grizzly bear', 
    species => 'Ursus arctos', family => 'URSIDAE'},
   {common => 'spotted hyena', 
    species => 'Crocuta crocuta', family => 'HYAENIDAE'},
   {common => 'great white shark', 
    species => 'Carcharodon carcharias', family => 'LAMNIDAE'},
   {common => 'black python', 
    species => 'Morelia boeleni', family => 'PYTHONIDAE'},
   {common => 'king cobra', 
    species => 'Ophiophagus hannah', family => 'ELAPIDAE'},
   {common => 'wolverine', 
    species => 'Gulo gulo', family => 'MUSTELIDAE'},
   {common => 'killer whale', 
    species => 'Orcinus orca', family => 'DELPHINIDAE'},
   {common => 'bobcat', 
    species => 'Lynx rufus', family => 'FELIDAE'},
   {common => 'lynx', 
    species => 'Lynx lynx', family => 'FELIDAE'},
   {common => 'cheetah', 
    species => 'Acinonyx jubatus', family => 'FELIDAE'},
   {common => 'atlantic coral snake', 
    species => 'Micrurus diastema', family => 'ELAPIDAE'},
   {common => 'panda', 
    species => 'Ailuropoda melanoleuca', family => 'URSIDAE'},
   {common => 'jaguar', 
    species => 'Panthera onca', family => 'FELIDAE'},
   {common => 'cougar', 
    species => 'Puma concolor', family => 'FELIDAE'},
   {common => 'panther', 
    species => 'Panthera pardus', family => 'FELIDAE'},
   {common => 'snowy owl', 
    species => 'Nyctea scandiaca', family => 'STRIGIDAE'},
   {common => 'tiger', 
    species => 'Panthera tigris', family => 'FELIDAE'},
   {common => 'lion', 
    species => 'Panthera leo', family => 'FELIDAE'},
   {common => 'grizzly bear', 
    species => 'Ursus arctos', family => 'URSIDAE'},
   {common => 'spotted hyena', 
    species => 'Crocuta crocuta', family => 'HYAENIDAE'},
   {common => 'great white shark', 
    species => 'Carcharodon carcharias', family => 'LAMNIDAE'},
   {common => 'black python', 
    species => 'Morelia boeleni', family => 'PYTHONIDAE'},
   {common => 'king cobra', 
    species => 'Ophiophagus hannah', family => 'ELAPIDAE'},
   {common => 'wolverine', 
    species => 'Gulo gulo', family => 'MUSTELIDAE'},
   {common => 'killer whale', 
    species => 'Orcinus orca', family => 'DELPHINIDAE'},
   {common => 'bobcat', 
    species => 'Lynx rufus', family => 'FELIDAE'},
   {common => 'lynx', 
    species => 'Lynx lynx', family => 'FELIDAE'},
   {common => 'cheetah', 
    species => 'Acinonyx jubatus', family => 'FELIDAE'},
   {common => 'atlantic coral snake', 
    species => 'Micrurus diastema', family => 'ELAPIDAE'},
   {common => 'panda', 
    species => 'Ailuropoda melanoleuca', family => 'URSIDAE'},
   {common => 'jaguar', 
    species => 'Panthera onca', family => 'FELIDAE'},
   {common => 'cougar', 
    species => 'Puma concolor', family => 'FELIDAE'},
   {common => 'panther', 
    species => 'Panthera pardus', family => 'FELIDAE'},
   {common => 'snowy owl', 
    species => 'Nyctea scandiaca', family => 'STRIGIDAE'},
   {common => 'tiger', 
    species => 'Panthera tigris', family => 'FELIDAE'},
   {common => 'lion', 
    species => 'Panthera leo', family => 'FELIDAE'},
   {common => 'grizzly bear', 
    species => 'Ursus arctos', family => 'URSIDAE'},
   {common => 'spotted hyena', 
    species => 'Crocuta crocuta', family => 'HYAENIDAE'},
   {common => 'great white shark', 
    species => 'Carcharodon carcharias', family => 'LAMNIDAE'},
   {common => 'black python', 
    species => 'Morelia boeleni', family => 'PYTHONIDAE'},
   {common => 'king cobra', 
    species => 'Ophiophagus hannah', family => 'ELAPIDAE'},
   {common => 'wolverine', 
    species => 'Gulo gulo', family => 'MUSTELIDAE'},
   {common => 'killer whale', 
    species => 'Orcinus orca', family => 'DELPHINIDAE'},
   {common => 'bobcat', 
    species => 'Lynx rufus', family => 'FELIDAE'},
   {common => 'lynx', 
    species => 'Lynx lynx', family => 'FELIDAE'},
   {common => 'cheetah', 
    species => 'Acinonyx jubatus', family => 'FELIDAE'},
   {common => 'atlantic coral snake', 
    species => 'Micrurus diastema', family => 'ELAPIDAE'},
   {common => 'panda', 
    species => 'Ailuropoda melanoleuca', family => 'URSIDAE'},
   {common => 'jaguar', 
    species => 'Panthera onca', family => 'FELIDAE'},
   {common => 'cougar', 
    species => 'Puma concolor', family => 'FELIDAE'},
   {common => 'panther', 
    species => 'Panthera pardus', family => 'FELIDAE'},
   {common => 'snowy owl', 
    species => 'Nyctea scandiaca', family => 'STRIGIDAE'},
   {common => 'tiger', 
    species => 'Panthera tigris', family => 'FELIDAE'},
   {common => 'lion', 
    species => 'Panthera leo', family => 'FELIDAE'},
   {common => 'grizzly bear', 
    species => 'Ursus arctos', family => 'URSIDAE'},
   {common => 'spotted hyena', 
    species => 'Crocuta crocuta', family => 'HYAENIDAE'},
   {common => 'great white shark', 
    species => 'Carcharodon carcharias', family => 'LAMNIDAE'},
   {common => 'black python', 
    species => 'Morelia boeleni', family => 'PYTHONIDAE'},
   {common => 'king cobra', 
    species => 'Ophiophagus hannah', family => 'ELAPIDAE'},
   {common => 'wolverine', 
    species => 'Gulo gulo', family => 'MUSTELIDAE'},
   {common => 'killer whale', 
    species => 'Orcinus orca', family => 'DELPHINIDAE'},
   {common => 'bobcat', 
    species => 'Lynx rufus', family => 'FELIDAE'},
   {common => 'lynx', 
    species => 'Lynx lynx', family => 'FELIDAE'},
   {common => 'cheetah', 
    species => 'Acinonyx jubatus', family => 'FELIDAE'},
   {common => 'atlantic coral snake', 
    species => 'Micrurus diastema', family => 'ELAPIDAE'},
   {common => 'panda', 
    species => 'Ailuropoda melanoleuca', family => 'URSIDAE'},
   {common => 'jaguar', 
    species => 'Panthera onca', family => 'FELIDAE'},
   {common => 'cougar', 
    species => 'Puma concolor', family => 'FELIDAE'},
   {common => 'panther', 
    species => 'Panthera pardus', family => 'FELIDAE'},
   {common => 'snowy owl', 
    species => 'Nyctea scandiaca', family => 'STRIGIDAE'},
   {common => 'tiger', 
    species => 'Panthera tigris', family => 'FELIDAE'},
   {common => 'lion', 
    species => 'Panthera leo', family => 'FELIDAE'},
   {common => 'grizzly bear', 
    species => 'Ursus arctos', family => 'URSIDAE'},
   {common => 'spotted hyena', 
    species => 'Crocuta crocuta', family => 'HYAENIDAE'},
   {common => 'great white shark', 
    species => 'Carcharodon carcharias', family => 'LAMNIDAE'},
   {common => 'black python', 
    species => 'Morelia boeleni', family => 'PYTHONIDAE'},
   {common => 'king cobra', 
    species => 'Ophiophagus hannah', family => 'ELAPIDAE'},
   {common => 'wolverine', 
    species => 'Gulo gulo', family => 'MUSTELIDAE'},
   {common => 'killer whale', 
    species => 'Orcinus orca', family => 'DELPHINIDAE'},
   {common => 'bobcat', 
    species => 'Lynx rufus', family => 'FELIDAE'},
   {common => 'lynx', 
    species => 'Lynx lynx', family => 'FELIDAE'},
   {common => 'cheetah', 
    species => 'Acinonyx jubatus', family => 'FELIDAE'},
   {common => 'atlantic coral snake', 
    species => 'Micrurus diastema', family => 'ELAPIDAE'},
   {common => 'panda', 
    species => 'Ailuropoda melanoleuca', family => 'URSIDAE'},
   {common => 'jaguar', 
    species => 'Panthera onca', family => 'FELIDAE'},
   {common => 'cougar', 
    species => 'Puma concolor', family => 'FELIDAE'},
   {common => 'panther', 
    species => 'Panthera pardus', family => 'FELIDAE'},
   {common => 'snowy owl', 
    species => 'Nyctea scandiaca', family => 'STRIGIDAE'},
   {common => 'tiger', 
    species => 'Panthera tigris', family => 'FELIDAE'},
   {common => 'lion', 
    species => 'Panthera leo', family => 'FELIDAE'},
   {common => 'grizzly bear', 
    species => 'Ursus arctos', family => 'URSIDAE'},
   {common => 'spotted hyena', 
    species => 'Crocuta crocuta', family => 'HYAENIDAE'},
   {common => 'great white shark', 
    species => 'Carcharodon carcharias', family => 'LAMNIDAE'},
   {common => 'black python', 
    species => 'Morelia boeleni', family => 'PYTHONIDAE'},
   {common => 'king cobra', 
    species => 'Ophiophagus hannah', family => 'ELAPIDAE'},
   {common => 'wolverine', 
    species => 'Gulo gulo', family => 'MUSTELIDAE'},
   {common => 'killer whale', 
    species => 'Orcinus orca', family => 'DELPHINIDAE'},
   {common => 'bobcat', 
    species => 'Lynx rufus', family => 'FELIDAE'},
   {common => 'lynx', 
    species => 'Lynx lynx', family => 'FELIDAE'},
   {common => 'cheetah', 
    species => 'Acinonyx jubatus', family => 'FELIDAE'},
   {common => 'atlantic coral snake', 
    species => 'Micrurus diastema', family => 'ELAPIDAE'},
   {common => 'panda', 
    species => 'Ailuropoda melanoleuca', family => 'URSIDAE'},
   {common => 'jaguar', 
    species => 'Panthera onca', family => 'FELIDAE'},
   {common => 'cougar', 
    species => 'Puma concolor', family => 'FELIDAE'},
   {common => 'panther', 
    species => 'Panthera pardus', family => 'FELIDAE'},
   {common => 'snowy owl', 
    species => 'Nyctea scandiaca', family => 'STRIGIDAE'},
   {common => 'tiger', 
    species => 'Panthera tigris', family => 'FELIDAE'},
   {common => 'lion', 
    species => 'Panthera leo', family => 'FELIDAE'},
   {common => 'grizzly bear', 
    species => 'Ursus arctos', family => 'URSIDAE'},
   {common => 'spotted hyena', 
    species => 'Crocuta crocuta', family => 'HYAENIDAE'},
   {common => 'great white shark', 
    species => 'Carcharodon carcharias', family => 'LAMNIDAE'},
   {common => 'black python', 
    species => 'Morelia boeleni', family => 'PYTHONIDAE'},
   {common => 'king cobra', 
    species => 'Ophiophagus hannah', family => 'ELAPIDAE'},
   {common => 'wolverine', 
    species => 'Gulo gulo', family => 'MUSTELIDAE'},
   {common => 'killer whale', 
    species => 'Orcinus orca', family => 'DELPHINIDAE'},
   {common => 'bobcat', 
    species => 'Lynx rufus', family => 'FELIDAE'},
   {common => 'lynx', 
    species => 'Lynx lynx', family => 'FELIDAE'},
   {common => 'cheetah', 
    species => 'Acinonyx jubatus', family => 'FELIDAE'},
   {common => 'atlantic coral snake', 
    species => 'Micrurus diastema', family => 'ELAPIDAE'},
   {common => 'panda', 
    species => 'Ailuropoda melanoleuca', family => 'URSIDAE'},
   {common => 'jaguar', 
    species => 'Panthera onca', family => 'FELIDAE'},
   {common => 'cougar', 
    species => 'Puma concolor', family => 'FELIDAE'},
   {common => 'panther', 
    species => 'Panthera pardus', family => 'FELIDAE'},
   {common => 'snowy owl', 
    species => 'Nyctea scandiaca', family => 'STRIGIDAE'},
   {common => 'tiger', 
    species => 'Panthera tigris', family => 'FELIDAE'},
   {common => 'lion', 
    species => 'Panthera leo', family => 'FELIDAE'},
   {common => 'grizzly bear', 
    species => 'Ursus arctos', family => 'URSIDAE'},
   {common => 'spotted hyena', 
    species => 'Crocuta crocuta', family => 'HYAENIDAE'},
   {common => 'great white shark', 
    species => 'Carcharodon carcharias', family => 'LAMNIDAE'},
   {common => 'black python', 
    species => 'Morelia boeleni', family => 'PYTHONIDAE'},
   {common => 'king cobra', 
    species => 'Ophiophagus hannah', family => 'ELAPIDAE'},
   {common => 'wolverine', 
    species => 'Gulo gulo', family => 'MUSTELIDAE'},
   {common => 'killer whale', 
    species => 'Orcinus orca', family => 'DELPHINIDAE'},
   {common => 'bobcat', 
    species => 'Lynx rufus', family => 'FELIDAE'},
   {common => 'lynx', 
    species => 'Lynx lynx', family => 'FELIDAE'},
   {common => 'cheetah', 
    species => 'Acinonyx jubatus', family => 'FELIDAE'},
   {common => 'atlantic coral snake', 
    species => 'Micrurus diastema', family => 'ELAPIDAE'},
   {common => 'panda', 
    species => 'Ailuropoda melanoleuca', family => 'URSIDAE'},
   {common => 'jaguar', 
    species => 'Panthera onca', family => 'FELIDAE'},
   {common => 'cougar', 
    species => 'Puma concolor', family => 'FELIDAE'},
   {common => 'panther', 
    species => 'Panthera pardus', family => 'FELIDAE'},
   {common => 'snowy owl', 
    species => 'Nyctea scandiaca', family => 'STRIGIDAE'},
   {common => 'tiger', 
    species => 'Panthera tigris', family => 'FELIDAE'},
   {common => 'lion', 
    species => 'Panthera leo', family => 'FELIDAE'},
   {common => 'grizzly bear', 
    species => 'Ursus arctos', family => 'URSIDAE'},
   {common => 'spotted hyena', 
    species => 'Crocuta crocuta', family => 'HYAENIDAE'},
   {common => 'great white shark', 
    species => 'Carcharodon carcharias', family => 'LAMNIDAE'},
   {common => 'black python', 
    species => 'Morelia boeleni', family => 'PYTHONIDAE'},
   {common => 'king cobra', 
    species => 'Ophiophagus hannah', family => 'ELAPIDAE'},
   {common => 'wolverine', 
    species => 'Gulo gulo', family => 'MUSTELIDAE'},
   {common => 'killer whale', 
    species => 'Orcinus orca', family => 'DELPHINIDAE'},
   {common => 'bobcat', 
    species => 'Lynx rufus', family => 'FELIDAE'},
   {common => 'lynx', 
    species => 'Lynx lynx', family => 'FELIDAE'},
   {common => 'cheetah', 
    species => 'Acinonyx jubatus', family => 'FELIDAE'},
   {common => 'atlantic coral snake', 
    species => 'Micrurus diastema', family => 'ELAPIDAE'},
   {common => 'panda', 
    species => 'Ailuropoda melanoleuca', family => 'URSIDAE'},
   {common => 'jaguar', 
    species => 'Panthera onca', family => 'FELIDAE'},
   {common => 'cougar', 
    species => 'Puma concolor', family => 'FELIDAE'},
   {common => 'panther', 
    species => 'Panthera pardus', family => 'FELIDAE'},
   {common => 'snowy owl', 
    species => 'Nyctea scandiaca', family => 'STRIGIDAE'},
   {common => 'tiger', 
    species => 'Panthera tigris', family => 'FELIDAE'},
   {common => 'lion', 
    species => 'Panthera leo', family => 'FELIDAE'},
   {common => 'grizzly bear', 
    species => 'Ursus arctos', family => 'URSIDAE'},
   {common => 'spotted hyena', 
    species => 'Crocuta crocuta', family => 'HYAENIDAE'},
   {common => 'great white shark', 
    species => 'Carcharodon carcharias', family => 'LAMNIDAE'},
   {common => 'black python', 
    species => 'Morelia boeleni', family => 'PYTHONIDAE'},
   {common => 'king cobra', 
    species => 'Ophiophagus hannah', family => 'ELAPIDAE'},
   {common => 'wolverine', 
    species => 'Gulo gulo', family => 'MUSTELIDAE'},
   {common => 'killer whale', 
    species => 'Orcinus orca', family => 'DELPHINIDAE'},
   {common => 'bobcat', 
    species => 'Lynx rufus', family => 'FELIDAE'},
   {common => 'lynx', 
    species => 'Lynx lynx', family => 'FELIDAE'},
   {common => 'cheetah', 
    species => 'Acinonyx jubatus', family => 'FELIDAE'},
   {common => 'atlantic coral snake', 
    species => 'Micrurus diastema', family => 'ELAPIDAE'},
   {common => 'panda', 
    species => 'Ailuropoda melanoleuca', family => 'URSIDAE'},
   {common => 'jaguar', 
    species => 'Panthera onca', family => 'FELIDAE'},
   {common => 'cougar', 
    species => 'Puma concolor', family => 'FELIDAE'},
   {common => 'panther', 
    species => 'Panthera pardus', family => 'FELIDAE'},
   {common => 'snowy owl', 
    species => 'Nyctea scandiaca', family => 'STRIGIDAE'},
   {common => 'tiger', 
    species => 'Panthera tigris', family => 'FELIDAE'},
   {common => 'lion', 
    species => 'Panthera leo', family => 'FELIDAE'},
   {common => 'grizzly bear', 
    species => 'Ursus arctos', family => 'URSIDAE'},
   {common => 'spotted hyena', 
    species => 'Crocuta crocuta', family => 'HYAENIDAE'},
   {common => 'great white shark', 
    species => 'Carcharodon carcharias', family => 'LAMNIDAE'},
   {common => 'black python', 
    species => 'Morelia boeleni', family => 'PYTHONIDAE'},
   {common => 'king cobra', 
    species => 'Ophiophagus hannah', family => 'ELAPIDAE'},
   {common => 'wolverine', 
    species => 'Gulo gulo', family => 'MUSTELIDAE'},
   {common => 'killer whale', 
    species => 'Orcinus orca', family => 'DELPHINIDAE'},
   {common => 'bobcat', 
    species => 'Lynx rufus', family => 'FELIDAE'},
   {common => 'lynx', 
    species => 'Lynx lynx', family => 'FELIDAE'},
   {common => 'cheetah', 
    species => 'Acinonyx jubatus', family => 'FELIDAE'},
   {common => 'atlantic coral snake', 
    species => 'Micrurus diastema', family => 'ELAPIDAE'},
   {common => 'panda', 
    species => 'Ailuropoda melanoleuca', family => 'URSIDAE'},
   {common => 'jaguar', 
    species => 'Panthera onca', family => 'FELIDAE'},
   {common => 'cougar', 
    species => 'Puma concolor', family => 'FELIDAE'},
   {common => 'panther', 
    species => 'Panthera pardus', family => 'FELIDAE'},
   {common => 'snowy owl', 
    species => 'Nyctea scandiaca', family => 'STRIGIDAE'},
   {common => 'tiger', 
    species => 'Panthera tigris', family => 'FELIDAE'},
   {common => 'lion', 
    species => 'Panthera leo', family => 'FELIDAE'},
   {common => 'grizzly bear', 
    species => 'Ursus arctos', family => 'URSIDAE'},
   {common => 'spotted hyena', 
    species => 'Crocuta crocuta', family => 'HYAENIDAE'},
   {common => 'great white shark', 
    species => 'Carcharodon carcharias', family => 'LAMNIDAE'},
   {common => 'black python', 
    species => 'Morelia boeleni', family => 'PYTHONIDAE'},
   {common => 'king cobra', 
    species => 'Ophiophagus hannah', family => 'ELAPIDAE'},
   {common => 'wolverine', 
    species => 'Gulo gulo', family => 'MUSTELIDAE'},
   {common => 'killer whale', 
    species => 'Orcinus orca', family => 'DELPHINIDAE'},
   {common => 'bobcat', 
    species => 'Lynx rufus', family => 'FELIDAE'},
   {common => 'lynx', 
    species => 'Lynx lynx', family => 'FELIDAE'},
   {common => 'cheetah', 
    species => 'Acinonyx jubatus', family => 'FELIDAE'},
   {common => 'atlantic coral snake', 
    species => 'Micrurus diastema', family => 'ELAPIDAE'},
   {common => 'panda', 
    species => 'Ailuropoda melanoleuca', family => 'URSIDAE'},
   {common => 'jaguar', 
    species => 'Panthera onca', family => 'FELIDAE'},
   {common => 'cougar', 
    species => 'Puma concolor', family => 'FELIDAE'},
   {common => 'panther', 
    species => 'Panthera pardus', family => 'FELIDAE'},
   {common => 'snowy owl', 
    species => 'Nyctea scandiaca', family => 'STRIGIDAE'},
   {common => 'tiger', 
    species => 'Panthera tigris', family => 'FELIDAE'},
   {common => 'lion', 
    species => 'Panthera leo', family => 'FELIDAE'},
   {common => 'grizzly bear', 
    species => 'Ursus arctos', family => 'URSIDAE'},
   {common => 'spotted hyena', 
    species => 'Crocuta crocuta', family => 'HYAENIDAE'},
   {common => 'great white shark', 
    species => 'Carcharodon carcharias', family => 'LAMNIDAE'},
   {common => 'black python', 
    species => 'Morelia boeleni', family => 'PYTHONIDAE'},
   {common => 'king cobra', 
    species => 'Ophiophagus hannah', family => 'ELAPIDAE'},
   {common => 'wolverine', 
    species => 'Gulo gulo', family => 'MUSTELIDAE'},
   {common => 'killer whale', 
    species => 'Orcinus orca', family => 'DELPHINIDAE'},
   {common => 'bobcat', 
    species => 'Lynx rufus', family => 'FELIDAE'},
   {common => 'lynx', 
    species => 'Lynx lynx', family => 'FELIDAE'},
   {common => 'cheetah', 
    species => 'Acinonyx jubatus', family => 'FELIDAE'},
   {common => 'atlantic coral snake', 
    species => 'Micrurus diastema', family => 'ELAPIDAE'},
   {common => 'panda', 
    species => 'Ailuropoda melanoleuca', family => 'URSIDAE'},
   {common => 'jaguar', 
    species => 'Panthera onca', family => 'FELIDAE'},
   {common => 'cougar', 
    species => 'Puma concolor', family => 'FELIDAE'},
   {common => 'panther', 
    species => 'Panthera pardus', family => 'FELIDAE'},
   {common => 'snowy owl', 
    species => 'Nyctea scandiaca', family => 'STRIGIDAE'},
   {common => 'tiger', 
    species => 'Panthera tigris', family => 'FELIDAE'},
   {common => 'lion', 
    species => 'Panthera leo', family => 'FELIDAE'},
   {common => 'grizzly bear', 
    species => 'Ursus arctos', family => 'URSIDAE'},
   {common => 'spotted hyena', 
    species => 'Crocuta crocuta', family => 'HYAENIDAE'},
   {common => 'great white shark', 
    species => 'Carcharodon carcharias', family => 'LAMNIDAE'},
   {common => 'black python', 
    species => 'Morelia boeleni', family => 'PYTHONIDAE'},
   {common => 'king cobra', 
    species => 'Ophiophagus hannah', family => 'ELAPIDAE'},
   {common => 'wolverine', 
    species => 'Gulo gulo', family => 'MUSTELIDAE'},
   {common => 'killer whale', 
    species => 'Orcinus orca', family => 'DELPHINIDAE'},
   {common => 'bobcat', 
    species => 'Lynx rufus', family => 'FELIDAE'},
   {common => 'lynx', 
    species => 'Lynx lynx', family => 'FELIDAE'},
   {common => 'cheetah', 
    species => 'Acinonyx jubatus', family => 'FELIDAE'},
   {common => 'atlantic coral snake', 
    species => 'Micrurus diastema', family => 'ELAPIDAE'},
   {common => 'panda', 
    species => 'Ailuropoda melanoleuca', family => 'URSIDAE'},
   {common => 'jaguar', 
    species => 'Panthera onca', family => 'FELIDAE'},
   {common => 'cougar', 
    species => 'Puma concolor', family => 'FELIDAE'},
   {common => 'panther', 
    species => 'Panthera pardus', family => 'FELIDAE'},
   {common => 'snowy owl', 
    species => 'Nyctea scandiaca', family => 'STRIGIDAE'},
   {common => 'tiger', 
    species => 'Panthera tigris', family => 'FELIDAE'},
   {common => 'lion', 
    species => 'Panthera leo', family => 'FELIDAE'},
   {common => 'grizzly bear', 
    species => 'Ursus arctos', family => 'URSIDAE'},
   {common => 'spotted hyena', 
    species => 'Crocuta crocuta', family => 'HYAENIDAE'},
   {common => 'great white shark', 
    species => 'Carcharodon carcharias', family => 'LAMNIDAE'},
   {common => 'black python', 
    species => 'Morelia boeleni', family => 'PYTHONIDAE'},
   {common => 'king cobra', 
    species => 'Ophiophagus hannah', family => 'ELAPIDAE'},
   {common => 'wolverine', 
    species => 'Gulo gulo', family => 'MUSTELIDAE'},
   {common => 'killer whale', 
    species => 'Orcinus orca', family => 'DELPHINIDAE'},
   {common => 'bobcat', 
    species => 'Lynx rufus', family => 'FELIDAE'},
   {common => 'lynx', 
    species => 'Lynx lynx', family => 'FELIDAE'},
   {common => 'cheetah', 
    species => 'Acinonyx jubatus', family => 'FELIDAE'},
   {common => 'atlantic coral snake', 
    species => 'Micrurus diastema', family => 'ELAPIDAE'},
   {common => 'panda', 
    species => 'Ailuropoda melanoleuca', family => 'URSIDAE'},
   {common => 'jaguar', 
    species => 'Panthera onca', family => 'FELIDAE'},
   {common => 'cougar', 
    species => 'Puma concolor', family => 'FELIDAE'},
   {common => 'panther', 
    species => 'Panthera pardus', family => 'FELIDAE'},
   {common => 'snowy owl', 
    species => 'Nyctea scandiaca', family => 'STRIGIDAE'},
   {common => 'tiger', 
    species => 'Panthera tigris', family => 'FELIDAE'},
   {common => 'lion', 
    species => 'Panthera leo', family => 'FELIDAE'},
   {common => 'grizzly bear', 
    species => 'Ursus arctos', family => 'URSIDAE'},
   {common => 'spotted hyena', 
    species => 'Crocuta crocuta', family => 'HYAENIDAE'},
   {common => 'great white shark', 
    species => 'Carcharodon carcharias', family => 'LAMNIDAE'},
   {common => 'black python', 
    species => 'Morelia boeleni', family => 'PYTHONIDAE'},
   {common => 'king cobra', 
    species => 'Ophiophagus hannah', family => 'ELAPIDAE'},
   {common => 'wolverine', 
    species => 'Gulo gulo', family => 'MUSTELIDAE'},
   {common => 'killer whale', 
    species => 'Orcinus orca', family => 'DELPHINIDAE'},
   {common => 'bobcat', 
    species => 'Lynx rufus', family => 'FELIDAE'},
   {common => 'lynx', 
    species => 'Lynx lynx', family => 'FELIDAE'},
   {common => 'cheetah', 
    species => 'Acinonyx jubatus', family => 'FELIDAE'},
   {common => 'atlantic coral snake', 
    species => 'Micrurus diastema', family => 'ELAPIDAE'},
   {common => 'panda', 
    species => 'Ailuropoda melanoleuca', family => 'URSIDAE'},
   {common => 'jaguar', 
    species => 'Panthera onca', family => 'FELIDAE'},
   {common => 'cougar', 
    species => 'Puma concolor', family => 'FELIDAE'},
   {common => 'panther', 
    species => 'Panthera pardus', family => 'FELIDAE'},
   {common => 'snowy owl', 
    species => 'Nyctea scandiaca', family => 'STRIGIDAE'},
   {common => 'tiger', 
    species => 'Panthera tigris', family => 'FELIDAE'},
   {common => 'lion', 
    species => 'Panthera leo', family => 'FELIDAE'},
   {common => 'grizzly bear', 
    species => 'Ursus arctos', family => 'URSIDAE'},
   {common => 'spotted hyena', 
    species => 'Crocuta crocuta', family => 'HYAENIDAE'},
   {common => 'great white shark', 
    species => 'Carcharodon carcharias', family => 'LAMNIDAE'},
   {common => 'black python', 
    species => 'Morelia boeleni', family => 'PYTHONIDAE'});

@common_sorted_animals =
  (map { $_->[0] }
   sort { $a->[1] cmp $b->[1] or $a->[2] cmp $b->[2] }
   map { [ $_, $_->{common}, $_->{species} ] } @animals);

